Subject: Re: bug#18987: the bourne shell printf-vs-\xHH portability trap

From: Paul Eggert <[email-masked]>
Date: Sun, 09 Nov 2014 12:04:56 -0800

Jim Meyering wrote:
> I tried it, and found that this new function makes the multibyte-white-space
> test fail with GNU sed.

Yes, and the more I look at it the less I like it.  I'm afraid I'm now going 
back to the idea that we should just use octal.  This outputting-hex business is 
more trouble than it's worth.  What happens with the current code, for example, 
when one of the printfs fail?  No error is reported.  If we just used octal it'd 
all be saner.